summaryrefslogtreecommitdiff
path: root/support/dependencies
diff options
context:
space:
mode:
authorMaxime Hadjinlian <maxime.hadjinlian@gmail.com>2014-02-18 00:37:12 +0100
committerPeter Korsgaard <peter@korsgaard.com>2014-02-19 16:17:48 +0100
commitaac3d2b402fd2b8b91f125cf9314f4805b88f72a (patch)
tree0ed021aa728ba1b110f2755de2a3565cdffa4ff2 /support/dependencies
parente72b7a4e8c4b0bf1b5b268601de7990b54ee9a67 (diff)
infra: Introduce BR2_HOST_NEEDS_JAVA
XBMC needs Java on the host in order to build, because it uses a code-generator which is built in two phases: In the first phase SWIG is used to parse C++ header files that define the API. SWIG outputs an XML file that contains a complete description of the structure of the API. In the second phase, the XML file is ingested by a Groovy (Java) program that then creates C++ code that forms the bridge to the scripting language (Python). The second phase is why we need java on the host. You can learn more at the XBMC's wiki: http://wiki.xbmc.org/index.php?title=Codegeneration#How_it_works In order to check that, this patch introduce this mechanism in dependencies.sh, and it also defines the variable in Config.in [Peter: fix error message] Signed-off-by: Maxime Hadjinlian <maxime.hadjinlian@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'support/dependencies')
-rwxr-xr-xsupport/dependencies/dependencies.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index 0e7e1fa04..a965c6882 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -191,6 +191,14 @@ if grep -q ^BR2_PACKAGE_CLASSPATH=y $BR2_CONFIG ; then
done
fi
+if grep -q ^BR2_HOST_NEEDS_JAVA=y $BR2_CONFIG ; then
+ if ! which java > /dev/null ; then
+ echo >&2
+ echo "You must install 'java' on your build machine" >&2
+ exit 1
+ fi
+fi
+
if grep -q ^BR2_HOSTARCH_NEEDS_IA32_LIBS=y $BR2_CONFIG ; then
if test ! -f /lib/ld-linux.so.2 ; then
echo